import { McmaApiRouteCollection, McmaApiMiddleware } from "@mcma/api";
import { Request, Response } from "express";
import { ConfigVariables, LoggerProvider } from "@mcma/core";
export interface HttpFunctionApiControllerConfig {
    routes: McmaApiRouteCollection;
    loggerProvider?: LoggerProvider;
    configVariables?: ConfigVariables;
    middleware?: McmaApiMiddleware[];
}
export declare class HttpFunctionApiController {
    private loggerProvider?;
    private configVariables?;
    private apiController;
    private config;
    constructor(config: HttpFunctionApiControllerConfig);
    constructor(routes: McmaApiRouteCollection, loggerProvider?: LoggerProvider, configVariables?: ConfigVariables);
    handleRequest(request: Request, response: Response): Promise<void>;
}
